package com.yihu.jw.entity.care.common;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * Created with IntelliJ IDEA.
 * 医生服务权限表
 * @Author: yeshijie
 * @Date: 2021/9/7
 * @Description:
 */
@Entity
@Table(name="base_doctor_service_permissions")
public class DoctorServicePermissionsDO extends UuidIdentityEntityWithCreateTime{

    private String orgCode;
    private String orgName;
    private String doctor;
    private String doctorName;
    /**
     * 1有权限 0无权限
     * 1签约管理
     2待办工作
     3我的评价
     4我的居民
     5代预约
     6能力评估
     7生活照料
     8紧急救助
     9人文关怀
     10安防监护
     11我的服务
     12通讯录
     */
    private Integer service1;
    private Integer service2;
    private Integer service3;
    private Integer service4;
    private Integer service5;
    private Integer service6;
    private Integer service7;
    private Integer service8;
    private Integer service9;
    private Integer service10;
    private Integer service11;
    private Integer service12;
    /**
     * 备用字段
     */
    private Integer service13;
    private Integer service14;
    private Integer service15;
    private Integer service16;

    private String sex;//性别
    private String mobile;//手机
    private String idcard;//身份证

    @Column(name = "org_code")
    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    @Column(name = "org_name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    @Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    @Column(name = "doctor_name")
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    @Column(name = "service1")
    public Integer getService1() {
        return service1;
    }

    public void setService1(Integer service1) {
        this.service1 = service1;
    }
    @Column(name = "service2")
    public Integer getService2() {
        return service2;
    }

    public void setService2(Integer service2) {
        this.service2 = service2;
    }
    @Column(name = "service3")
    public Integer getService3() {
        return service3;
    }

    public void setService3(Integer service3) {
        this.service3 = service3;
    }
    @Column(name = "service4")
    public Integer getService4() {
        return service4;
    }

    public void setService4(Integer service4) {
        this.service4 = service4;
    }
    @Column(name = "service5")
    public Integer getService5() {
        return service5;
    }

    public void setService5(Integer service5) {
        this.service5 = service5;
    }
    @Column(name = "service6")
    public Integer getService6() {
        return service6;
    }

    public void setService6(Integer service6) {
        this.service6 = service6;
    }
    @Column(name = "service7")
    public Integer getService7() {
        return service7;
    }

    public void setService7(Integer service7) {
        this.service7 = service7;
    }
    @Column(name = "service8")
    public Integer getService8() {
        return service8;
    }

    public void setService8(Integer service8) {
        this.service8 = service8;
    }
    @Column(name = "service9")
    public Integer getService9() {
        return service9;
    }

    public void setService9(Integer service9) {
        this.service9 = service9;
    }
    @Column(name = "service10")
    public Integer getService10() {
        return service10;
    }

    public void setService10(Integer service10) {
        this.service10 = service10;
    }
    @Column(name = "service11")
    public Integer getService11() {
        return service11;
    }

    public void setService11(Integer service11) {
        this.service11 = service11;
    }
    @Column(name = "service12")
    public Integer getService12() {
        return service12;
    }

    public void setService12(Integer service12) {
        this.service12 = service12;
    }
    @Column(name = "service13")
    public Integer getService13() {
        return service13;
    }

    public void setService13(Integer service13) {
        this.service13 = service13;
    }
    @Column(name = "service14")
    public Integer getService14() {
        return service14;
    }

    public void setService14(Integer service14) {
        this.service14 = service14;
    }
    @Column(name = "service15")
    public Integer getService15() {
        return service15;
    }

    public void setService15(Integer service15) {
        this.service15 = service15;
    }
    @Column(name = "service16")
    public Integer getService16() {
        return service16;
    }

    public void setService16(Integer service16) {
        this.service16 = service16;
    }

    @Transient
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    @Transient
    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
    @Transient
    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }
}
